Bug 132335 - Unable to boot after installing update kernel
Unable to boot after installing update kernel
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-09-10 18:32 EDT by Lars Damerow
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-23 19:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Boot messages from problematic kernel. (3.80 KB, text/plain)
2004-09-10 18:33 EDT, Lars Damerow
no flags Details
dmesg output from the machine with an oops caused by kudzu (14.97 KB, text/plain)
2004-09-17 16:39 EDT, Lars Damerow
no flags Details

  None (edit)
Description Lars Damerow 2004-09-10 18:32:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
This is happening on a dual-64bit Intel Xeon machine, with the x86_64
version of FC2 installed. It has two SATA drives installed, and has an
MPT SCSI controller.

The machine boots with no problems when using the stock kernel. However,
once I've upgraded the kernel with version 2.67-1.494.2.2. or higher 
from the released updates, the machine oopses on boot. The oops seems
to be happening when loading the mptbase or mptscsih module.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2 and higher

How reproducible:

Steps to Reproduce:
1.install fedora core 2
2.upgrade kernel to 2.6.7-1.494.2.2.x86_64 with rpm -Uvh


Actual Results:  I'll attach the full boot output to this case, but
here's a description.

The machine starts booting, prints a few error messages, then pauses
for a minute after the "Doorbell ACK timeout" message. It then prints
the rest of the error messages, then sits there forever after
displaying the "libata" line.

Expected Results:  On the stock Core 2 kernel, 2.6.5-1.358smp, the
boot messages look like this:

PCI: Cannot allocate resource region 0 of device 0000:01:00.1
PCI: Cannot allocate resource region 0 of device 0000:01:00.3
audit(1094853305.282:0): initialized
agpgart: Unsupported Intel chipset (device id: 359e)
ide0: I/O resource 0x1F0-0x1F7 not free.
ide0: ports already in use, skipping probe
Red Hat nash version 3.5.22 starting
INIT: version 2.85 booting

...and the machine boots normally.

Additional info:
Comment 1 Lars Damerow 2004-09-10 18:33:04 EDT
Created attachment 103708 [details]
Boot messages from problematic kernel.

Thanks so much for having a look at this!
Comment 2 Lars Damerow 2004-09-17 16:39:33 EDT
Created attachment 103965 [details]
dmesg output from the machine with an oops caused by kudzu

I got a bit farther by disabling the MPT option ROM, but crashes continue. The
new ones are caused by kudzu's probing. I've attached the dmesg output here.

When I disable the firewire device in the BIOS and run kudzu again, it gives a
similar crash for the e1000 network card.

Please let me know if any more information would be useful, or if there are any

tests I can run on the machine.
Comment 3 Lars Damerow 2004-09-23 19:07:28 EDT
I'm going to close this bug; by booting with ACPI and the SCSI option
ROM enabled, the new kernels work without problems.

Thanks anyway!

Note You need to log in before you can comment on or make changes to this bug.